function [y] = arbeta(n, a, b)
% function that generates sample of size n from Be(a,b)
% using AR method

y = zeros(n, 1); % output: sample of length n

% find m st f(x) <= m
m = 1/beta(a, b) * ((a-1)/(a+b-2)) ^ (a - 1) * (1 - ((a-1)/(a+b-2))) ^ (b - 1);

for i = 1:n
    
    while 1 % repeat until
        
            u = [rand unifrnd(0, m)]; % draw sample from the box
    
            if u(2) < betapdf(u(1), a, b) % check constraint inequality
                
                y(i) = u(1); % accept if satisfied
                
                break % exit while - loop 
                
            end
            
    end
    
end
    
    

end