function [y] = arlab4pdf(n)
% function that generates sample of size n from density
% f(x) \propto exp(-0.5 * x.^2) .* (sin(6*x).^2 + 3*cos(x).^2.*sin(4*x).^2+1);
% using AR method

y = zeros(n, 1);  % output: sample of length n

m = 5 * sqrt(2*pi); % m st f(x) <= m * g(x) : g() density

for i = 1:n
    
    flag = 1;
    
    while flag % repeat until
            
            x = normrnd(0, 1); % draw x from g()
            u = rand; % draw uniform
    
            if u < exp(-0.5 * x^2)*(sin(6*x)^2 + 3*cos(x)^2*sin(4*x)^2+1)/(m*normpdf(x,0,1)) % inequality constraint: u < f(x) / (m * g(x))
                
                y(i) = x; % accept if satisfied
                
                flag = 0; % exit while - loop
                
            end
            
    end
    
end
    
    

end